import { error } from '../constants';
import type { LocalRuleOptions } from '../index';
import { defineMiddleware } from '../middleware';

const customRules: Partial<LocalRuleOptions> = {
  'custom/no-import-dot': error,
  'custom/restrict-template-expressions': error,
};

export const custom = defineMiddleware((_, { addRules }) => {
  addRules(customRules);
});
